org.apache.solr.highlight

## Class SolrBoundaryScanner

- java.lang.Object
- - org.apache.solr.highlight.HighlightingPluginBase
  - - org.apache.solr.highlight.SolrBoundaryScanner

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin
  Direct Known Subclasses:
    BreakIteratorBoundaryScanner, SimpleBoundaryScanner

      public abstract class SolrBoundaryScanner
      extends HighlightingPluginBase
      implements SolrInfoMBean, NamedListInitializedPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `defaults, numRequests`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrBoundaryScanner()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract BoundaryScanner` | `get(String fieldName, SolrParams params)`
    `BoundaryScanner` | `getBoundaryScanner(String fieldName, SolrParams params)`

    - ### Methods inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `getCategory, getDescription, getDocs, getName, getSource, getStatistics, getVersion, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.core.SolrInfoMBean

      `getCategory, getDescription, getDocs, getName, getSource, getStatistics, getVersion`

    - ### Methods inherited from interface org.apache.solr.util.plugin.NamedListInitializedPlugin

      `init`

- - ### Constructor Detail

    - #### SolrBoundaryScanner

          public SolrBoundaryScanner()

  - ### Method Detail

    - #### getBoundaryScanner

          public BoundaryScanner getBoundaryScanner(String fieldName,
                                                    SolrParams params)

    - #### get

          protected abstract BoundaryScanner get(String fieldName,
                                                 SolrParams params)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.